package net.minecraft.world.inventory;

import net.minecraft.world.item.ItemStack;
import net.minecraft.core.NonNullList;

public interface ContainerListener {
    void refreshContainer(final AbstractContainerMenu ban, final NonNullList<ItemStack> fy);
    
    void slotChanged(final AbstractContainerMenu ban, final int integer, final ItemStack ben);
    
    void setContainerData(final AbstractContainerMenu ban, final int integer2, final int integer3);
}
